Package org.eclipse.lemminx.utils

## Class IOUtils

- java.lang.Object
- - org.eclipse.lemminx.utils.IOUtils

    public class IOUtils
    extends Object

IO utilities class

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`IOUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `convertStreamToString​(InputStream is)` Convert the given `InputStream` into a String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IOUtils

    public IOUtils()

### Method Detail

#### convertStreamToString

    public static String convertStreamToString​(InputStream is)

Convert the given `InputStream` into a String. The source InputStream will then be closed.

Parameters:
  `is` - the input stream
Returns:
  the given input stream in a String.